Send Message
curl --request POST \
--url https://api-lr.agent.ai/v1/action/send_message \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "email",
"to": "current_user",
"output_formatted": "<string>",
"email_addresses": "<string>",
"subject": "<string>"
}
'import requests
url = "https://api-lr.agent.ai/v1/action/send_message"
payload = {
"type": "email",
"to": "current_user",
"output_formatted": "<string>",
"email_addresses": "<string>",
"subject": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'email',
to: 'current_user',
output_formatted: '<string>',
email_addresses: '<string>',
subject: '<string>'
})
};
fetch('https://api-lr.agent.ai/v1/action/send_message', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 123,
"response": {}
}{
"status": 123,
"response": {}
}{
"status": 123,
"response": {}
}{
"status": 123,
"response": {}
}Outputs
Send Message
Send a message to a specified recipient, such as an email with formatted content.
POST
/
action
/
send_message
Send Message
Authorizations
Bearer token from your account (https://agent.ai/user/integrations#api)
Body
application/json
Select the type of message to send, such as 'Email'.
Available options:
email Enter the recipient's address, such as '[email protected]' for emails.
Available options:
current_user, email_addresses Provide the message content, such as 'Hello, your order is confirmed!' or formatted HTML for emails.
Enter each email on a new line
Provide a subject line for the email such as New message from {{agent.name}}
⌘I

